Bug 6738 - Globus proxy utils does not compile with old autotools
: Globus proxy utils does not compile with old autotools
Status: RESOLVED FIXED
: GSI C
Authentication
: 4.2.1
: PC All
: P3 normal
: 5.0.1
Assigned To:
:
:
:
:
  Show dependency treegraph
 
Reported: 2009-05-13 00:56 by
Modified: 2010-01-29 13:51 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2009-05-13 00:56:30
The attempt to fix the propagation of the LDFLAGS in this CVS commit:

http://viewcvs.globus.org/viewcvs.cgi/gsi/proxy/proxy_utils/source/programs/Makefile.am?r1=1.7&r2=1.8

does not work with older versions of autotools, resulting in compilation
errors:

running aclocal  -I /usr/share/globus/aclocal
running libtoolize --copy --force
running automake --copy -add-missing --foreign
configure.in: installing `./mkinstalldirs'
/usr/share/automake-1.6/am/compile.am: LDFLAGS was set with `+=' and is now set
with `='
/usr/share/automake-1.6/am/compile.am: LDFLAGS was set with `+=' and is now set
with `='
ERROR: bootstrap failed!

The portable way that works with all versions of autotools and that is used
everywhere else in the globus toolkit is to use the pgmname_LDFLAGS variables
for this:

diff -ur globus_proxy_utils-2.5.orig/programs/Makefile.am
globus_proxy_utils-2.5/programs/Makefile.am
--- globus_proxy_utils-2.5.orig/programs/Makefile.am    2008-04-28
20:23:25.000000000 +0200
+++ globus_proxy_utils-2.5/programs/Makefile.am    2009-05-10
18:21:15.000000000 +0200
@@ -6,11 +6,14 @@
 INCLUDES =  -I$(top_srcdir) $(GPT_INCLUDES) 

 grid_cert_diagnostics_SOURCES = grid_cert_diagnostics.c
+grid_cert_diagnostics_LDFLAGS = $(GPT_LDFLAGS)
 grid_proxy_init_SOURCES = grid_proxy_init.c globus_stdio_ui.c
globus_stdio_ui.h
+grid_proxy_init_LDFLAGS = $(GPT_LDFLAGS)
 grid_proxy_destroy_SOURCES = grid_proxy_destroy.c
+grid_proxy_destroy_LDFLAGS = $(GPT_LDFLAGS)
 grid_proxy_info_SOURCES = grid_proxy_info.c
+grid_proxy_info_LDFLAGS = $(GPT_LDFLAGS)

 LDADD = $(GPT_PGM_LINKS)
-LDFLAGS += $(GPT_LDFLAGS)

 include $(top_srcdir)/globus_automake_post
------- Comment #1 From 2010-01-29 13:51:46 -------
Fix committed to 5.0 branch and trunk